%deviationOfPositionAndPointsShouldBeIgnored Checks if the deviation of
%'Position' and 'Points' of the given elements should be ignored.
%
%   tf = deviationOfPositionAndPointsShouldBeIgnored(oldElement,
%   newElement, parameterName) checks if differences of the parameters
%   'Position' and 'Points' of subsystems and port blocks and the resulting
%   connecting lines between them in the TL simulation frame should be
%   ignored. These differences are caused by calling the TL operation
%   tl_check_ports in different TL versions and lead to failures in the
%   test runs that should be ignored by the test framework.
%
%   The function returns true if:
%
%       - parameterName is 'Position', the elements to be compared
%       (oldElement and newElement) are subsystems or ports blocks in the
%       TL simulation frame, and the deviation of 'Position' is not greater
%       than 50 pixels (this is the greatest deviation observed in the test
%       runs so far and can be adjusted if necessary)
%
%       - parameterName is 'Points', the elements to be compared (oldElement
%       and newElement) are a lines in the TL simulation frame, and the
%       deviation of 'Points' is not greater than 50 pixels
