function parameterMap = MoRe_hook_BlockParameters(blockHandle)
    %MoRe_hook_BlockParameters Define custom block parameters.
    %   This hook function can be used to set parameters for the blocks
    %   created by MoRe. The parameters set in this file overwrite the
    %   general block parameters from the MoRe.ini config file. Thus,
    %   block-specific parameters can be defined here in addition to the
    %   MoRe.ini (e.g. the color of all inport blocks). The created block
    %   is given as a handle in blockHandle. The return value is a
    %   containers.Map that contains the parameters to be set as key-value
    %   pairs.
    %
    %   IT IS IMPORTANT THAT NO CHANGES ARE MADE TO THE BLOCK OR MODEL
    %   WITHIN THIS FUNCTION. THIS COULD AFFECT THE FUNCTIONALITY OF MORE.
    

    %%%%%%%%%%%%%%%%%%%%%%%%%% DO NOT CHANGE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    parameterMap = containers.Map;    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    
    %%%%%%%%%%%%%%%%%%% Add custom code below this line %%%%%%%%%%%%%%%%%% 
    
    %   Example: The following code sets the background color of all inport
    %   blocks created by MoRe to green.
    %
    %   if strcmp(get_param(blockHandle, 'BlockType'), 'Inport')
    %      parameterMap('BackgroundColor') = 'green';
    %   end
end