% Installs the floating license with given port and host.
%
% The function installs a floating license for MoRe locally on the client.
% The port and host of the license server must be given as string in format
% port@host.
%
% Syntax: 
%   >> installFloatingLicense_MoRe(portAtHost)
%
% INPUT PARAMETERS:
%   portAtHost - A string with port and host in the format 'port@host'. See
%                examples.
%
% OUTPUT PARAMETERS:
%   -
%
% EXAMPLES:
% % Given port and domain name of license server
%   >> installFloatingLicense_MoRe('3421@myserver.comp.com')
%
% % Given port and IP address of license server
%   >> installFloatingLicense_MoRe('3421@192.168.1.107')
%
% % Only domain name given of license server
%   >> installFloatingLicense_MoRe('myserver.comp.com')
%
% % Only IP given of license server
%	>> installFloatingLicense_MoRe('192.168.1.107')
