%uiextras.set  Store a default property value in a parent object
%
%   uiextras.set(hObj,propName,propValue) stores a default property value
%   in the object hObj such that children created inside it of the correct
%   class will use the specified value (propValue) for the specified
%   property by default. The property name should take the form
%   "DefaultClassProperty", for example to set the default "TitleColor" for
%   the class "uiextras.BoxPanel", use "DefaultBoxPanelTitleColor". Note
%   that using the special object handle 0 sets the default for all new
%   figures.
%
%   Examples:
%   >> uiextras.set( gcf(), 'DefaultBoxPanelTitleColor', 'g' )
%   >> uiextras.set( 0, 'DefaultHBoxPadding', 5 )
%
%   See also: uiextras.get
%             uiextras.unset
