% Determine if an expression is an object type.
%
% Input
%     inputVar - Some variable or expression. Mandatory.
%
% Output
%     isObject   - Return true, if inputVar is an object (also includes enums)
%                  according to isobject and a list of additional known object types,
%                  but are not detected as such.
%                  Return false otherwise.
%
%     type       - Return object type of inputVar as string. Empty if not an object.
%
% Example
%     >> [isObject, type] = isObjectType(SlDemoSign.Positive)
%     isObject == 1
%     type     == 'SlDemoSign'
