% Validate number of input or output arguments.
% nargchk(LOW,HIGH,N) throws an error if N is less than LOW or
% greater than HIGH.
% 
% Example:
%
% % to check that a function's input arguments are at least 1 and at most 2.
% >> mes.more_mes.ml.nargchk(1, 2, nargin);
%    
% This function replaces MATLAB's built-in nargchk or narginchk,
% because narginchk is available only from R2011b onwards, and nargchk provokes
% a deprecation warning on R2015b and newer. We want to use a single
% function across all supported releases, without warnings.
