%Boundary Helper class for dealing with boundary of block(s) in Simulink
%   This class helps to work with the boundary of block(s) in Simulink
%   which can be quite ugly as Simulink only works with a position vector.
%   In Simulink, the 'position' property of blocks is a "vector of
%   coordinates, in pixels: [left top right bottom]" which is very
%   unconvenient to work with. Therefore, an object of this class can be
%   constructed from such a vector, modified in a convenient way, and
%   transformed back to the Simulink vector format.
%   As in the Simulink format, the origin of the coordinate system is the
%   upper-left corner and positive values are to the right of and down from
%   the origin. Negative values are to the left of and up from the origin.
% 
